[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Summary - Broken dependencies in Fedora 6 - 2007-07-06



On Sat, 07 Jul 2007 00:12:19 +0200, David Nielsen wrote:

> fre, 06 07 2007 kl. 18:09 +0200, skrev Michael Schwendt:
> > Plus these for i386/ppc/x86_64 -- I haven't examined what update breaks
> > these and the pkgs in Extras 6:
> > 
> > source rpm: dbus-sharp-0.63-6.fc6.src.rpm
> > package: dbus-sharp-devel - 0.63-6.fc6.i386 from fedora-core-6-i386
> >   unresolved deps: 
> >      dbus-sharp = 0:0.63-6.fc6
> > 
> > source rpm: f-spot-0.2.1-1.fc6.src.rpm
> > package: f-spot - 0.2.1-1.fc6.i386 from fedora-core-6-i386
> >   unresolved deps: 
> >      mono(dbus-sharp) = 0:0.60.0.0
> 
> Upsie.. I'm correcting this. I'm currently importing the ndesk-dbus
> package which is a replacement for the obsolete dbus-sharp, sadly this
> problem was not caught in the review.
> 
> Sorry, should go away soon.

For Fedora 6 there is no problem yet, since the build is blocked in
needsign for now. But your fix in CVS

 # Replaces old unmanaged DBus-sharp implementation
 Provides:		dbus-sharp = 0.64
-Provides:		mono(dbus-sharp)
+Provides:		mono(dbus-sharp) = 0.64
 Obsoletes:		dbus-sharp < 0.64

won't suffice, since nothing obsoletes dbus-sharp-devel yet, and f-spot in
Core and banshee in Extras would still need a rebuild because they require
a different EVR.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]